Bug 1118919 - [abrt] kernel BUG at block/blk-tag.c:89! [NEEDINFO]
Summary: [abrt] kernel BUG at block/blk-tag.c:89!
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fedora-kernel-block
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f2175dd6ed038975a878451c73d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 23:05 UTC by zbechir
Modified: 2014-12-10 14:56 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 14:56:49 UTC
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (102.66 KB, text/plain)
2014-07-11 23:06 UTC, zbechir
no flags Details

Description zbechir 2014-07-11 23:05:56 UTC
Additional info:
reporter:       libreport-2.2.2
kernel BUG at block/blk-tag.c:89!
invalid opcode: 0000 [#1] SMP 
Modules linked in: fuse vhost_net vhost macvtap macvlan ipt_MASQUERADE xt_CHECKSUM tun ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT xt_conntrack bnep ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw binfmt_misc x86_pkg_temp_thermal snd_hda_codec_hdmi coretemp snd_hda_codec_idt kvm_intel arc4 iTCO_wdt iwldvm snd_hda_codec_generic mac80211 kvm dell_wmi snd_hda_intel sparse_keymap iTCO_vendor_support snd_hda_controller ppdev crct10dif_pclmul snd_hda_codec crc32_pclmul snd_hwdep crc32c_intel sdhci_pci btusb iwlwifi uas usb_storage dell_laptop dcdbas snd_seq snd_seq_device snd_pcm bluetooth ghash_clmulni_intel sdhci mmc_core mei_me cfg80211 microcode snd_timer shpchp joydev rfkill serio_raw i2c_i801 mei snd lpc_ich mfd_core soundcore parport_pc parport wmi tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd sunrpc i915 e1000e i2c_algo_bit drm_kms_helper ptp drm pps_core i2c_core video
CPU: 0 PID: 2930 Comm: vlc Not tainted 3.15.4-200.fc20.x86_64 #1
Hardware name: Dell Inc. Latitude E6420/0K0DNP, BIOS A06 07/11/2011
task: ffff8800c4ba62c0 ti: ffff880138d10000 task.ti: ffff880138d10000
RIP: 0010:[<ffffffff81326524>]  [<ffffffff81326524>] blk_free_tags+0x14/0x20
RSP: 0018:ffff880138d13ad8  EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffff8801a259f000 RCX: 00000001002a000a
RDX: 0000000000000000 RSI: ffffea000312e300 RDI: ffff8800c4a335a0
RBP: ffff880138d13ad8 R08: ffff8800c4b8ee80 R09: 00000001002a000a
R10: ffffffff8147cdd7 R11: ffffea000312e300 R12: ffff8801a462f030
R13: ffff8800c6694900 R14: ffff8801a295b800 R15: ffff8801a295b920
FS:  00007fc1d466b700(0000) GS:ffff8801adc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f5a9d760008 CR3: 000000013b8a9000 CR4: 00000000000427e0
Stack:
 ffff880138d13b00 ffffffff8147ea60 ffff8801a259f1a0 ffff8801a259f190
 ffff8800c6694900 ffff880138d13b28 ffffffff81459482 ffff8801a259f1a0
 ffffffff81cb8080 ffff8801a2986888 ffff880138d13b50 ffffffff8134f267
Call Trace:
 [<ffffffff8147ea60>] scsi_host_dev_release+0xb0/0xf0
 [<ffffffff81459482>] device_release+0x32/0xa0
 [<ffffffff8134f267>] kobject_cleanup+0x77/0x1b0
 [<ffffffff8134f118>] kobject_put+0x28/0x60
 [<ffffffff814597a7>] put_device+0x17/0x20
 [<ffffffff81487f1f>] scsi_target_dev_release+0x1f/0x30
 [<ffffffff81459482>] device_release+0x32/0xa0
 [<ffffffff8134f267>] kobject_cleanup+0x77/0x1b0
 [<ffffffff8134f118>] kobject_put+0x28/0x60
 [<ffffffff814597a7>] put_device+0x17/0x20
 [<ffffffff8148b542>] scsi_device_dev_release_usercontext+0x102/0x120
 [<ffffffff810a30c7>] execute_in_process_context+0x67/0x70
 [<ffffffff8148b43c>] scsi_device_dev_release+0x1c/0x20
 [<ffffffff81459482>] device_release+0x32/0xa0
 [<ffffffff8134f267>] kobject_cleanup+0x77/0x1b0
 [<ffffffff8134f118>] kobject_put+0x28/0x60
 [<ffffffff814597a7>] put_device+0x17/0x20
 [<ffffffff8147ca8b>] scsi_device_put+0x3b/0x50
 [<ffffffff814901f0>] scsi_disk_put+0x30/0x50
 [<ffffffff81490552>] sd_release+0x42/0xd0
 [<ffffffff8122058c>] __blkdev_put+0x16c/0x1a0
 [<ffffffff8122052e>] __blkdev_put+0x10e/0x1a0
 [<ffffffff81220f0c>] blkdev_put+0x4c/0x120
 [<ffffffff811e8674>] kill_block_super+0x44/0x70
 [<ffffffffa07f3e67>] fuse_kill_sb_blk+0x47/0x50 [fuse]
 [<ffffffff811e897d>] deactivate_locked_super+0x3d/0x60
 [<ffffffff811e8f46>] deactivate_super+0x46/0x60
 [<ffffffff8120582c>] mntput_no_expire+0xac/0x140
 [<ffffffff812058e4>] mntput+0x24/0x40
 [<ffffffff811e7e3a>] __fput+0x17a/0x1e0
 [<ffffffff811e7eee>] ____fput+0xe/0x10
 [<ffffffff810a9307>] task_work_run+0xa7/0xe0
 [<ffffffff81013a51>] do_notify_resume+0x61/0xa0
 [<ffffffff816ff5a2>] int_signal+0x12/0x17
Code: e8 f2 25 ea ff 5b b8 01 00 00 00 5d c3 0f 0b 0f 1f 84 00 00 00 00 00 66 66 66 66 90 55 48 89 e5 e8 82 ff ff ff 85 c0 74 02 5d c3 <0f> 0b 66 2e 0f 1f 84 00 00 00 00 00 66 66 66 66 90 55 48 85 ff 
RIP  [<ffffffff81326524>] blk_free_tags+0x14/0x20
 RSP <ffff880138d13ad8>

Comment 1 zbechir 2014-07-11 23:06:38 UTC
Created attachment 917454 [details]
File: dmesg

Comment 2 Dawid Gajownik 2014-08-05 10:22:19 UTC
As a workaround I had to create below file:

# cat /etc/modprobe.d/ignore_uas.conf 
options usb-storage quirks=0x0bc2:0xab21:u

Numbers found in "lsusb -v" output:

Bus 002 Device 003: ID 0bc2:ab21 Seagate RSS LLC 
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.10
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  idVendor           0x0bc2 Seagate RSS LLC
  idProduct          0xab21 
  bcdDevice            1.43
  iManufacturer           1 Seagate 
  iProduct                2 Backup+  RD


The problem is explained here:
https://bbs.archlinux.org/viewtopic.php?id=183190

Comment 3 Justin M. Forbes 2014-11-13 15:55:10 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 4 Justin M. Forbes 2014-12-10 14:56:49 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.